typedef volatile struct {
	unsigned short	ar_hrd;	/* format of hardware address */
#define ARPHRD_ETHER 	1	/* ethernet hardware format */
#define ARPHRD_IEEE802	6	/* token-ring hardware format */
#define ARPHRD_ARCNET	7	/* arcnet hardware format */
#define ARPHRD_FRELAY 	15	/* frame relay hardware format */
#define ARPHRD_IEEE1394	24	/* firewire hardware format */
	unsigned short	ar_pro;	/* format of protocol address */
	unsigned char	ar_hln;	/* length of hardware address */
	unsigned char	ar_pln;	/* length of protocol address */
	unsigned short	ar_op;	/* one of: */
#define	ARPOP_REQUEST	1	/* request to resolve address */
#define	ARPOP_REPLY	2	/* response to previous request */
#define	ARPOP_REVREQUEST 3	/* request protocol address given hardware */
#define	ARPOP_REVREPLY	4	/* response giving protocol address */
#define ARPOP_INVREQUEST 8 	/* request to identify peer */
#define ARPOP_INVREPLY	9	/* response identifying peer */
	unsigned char	ar_smac[ETHER_ADDR_LEN];
	unsigned int	ar_sip;
	unsigned char	ar_dmac[ETHER_ADDR_LEN];
	unsigned int	ar_dip;
} __attribute__ ((packed)) ARPHdr;
