#define RAMDISK_MAX	2
#define ROMDISK_MAX	2
#define SCI_MAX	4
#define MMC_MAX	2
#define LCD_MAX	4
#define NE_MAX	2
#define WI_MAX	1
#define HDD_MAX	2
#define I2C_MAX	2
#define RTC_MAX	1
#define SL811_MAX	2

#define memaddr	base0
#define memsize base1
#define scifreq	base0
#define scispeed base1
#define addr_reg base0
#define data_reg base1

typedef struct {
	unsigned int	base0;
	unsigned int	base1;
	unsigned char	width;
	unsigned char	irq;
	unsigned char	res_port;
	unsigned char	res_bit;
	unsigned char	wait;
} BUSConf;

typedef struct {
	unsigned int	port;
	unsigned int	size;
	unsigned char	bits[8];
} PIOConf;
