typedef struct {
	char Boot[3]  __attribute__((packed));
	char Str[8]  __attribute__((packed));
	unsigned short ss  __attribute__((packed));
	unsigned char sc __attribute__((packed));
	unsigned short rsc __attribute__((packed));
	unsigned char fn __attribute__((packed));
	unsigned short rde __attribute__((packed));
	unsigned short ts __attribute__((packed));
	unsigned char ident __attribute__((packed));
	unsigned short sf __attribute__((packed));
	unsigned short spt __attribute__((packed));
	unsigned short nos __attribute__((packed));
	unsigned long topsec __attribute__((packed));
	unsigned long ts2 __attribute__((packed));
	unsigned long sf2 __attribute__((packed));
	char nop1[4] __attribute__((packed));
	unsigned long rc __attribute__((packed));
	unsigned short fsinfo __attribute__((packed));
} FDC;

typedef struct {
	unsigned char name[11] __attribute__((packed));
	unsigned char attr __attribute__((packed));
	unsigned short win95 __attribute__((packed));
	unsigned short create_time __attribute__((packed));
	unsigned short create_date __attribute__((packed));
	unsigned short access_date __attribute__((packed));
	unsigned short nop __attribute__((packed));
	unsigned short time __attribute__((packed));
	unsigned short date __attribute__((packed));
	unsigned short top __attribute__((packed));
	unsigned int size __attribute__((packed));
} Entry;

#define OptNone		0
#define OptDelete	1
#define OptCreate	2
#define OptCount	3
#define OptAdd		4
