#define	MIN_TCP_HLEN	20
#define	MAX_TCP_OPTLEN	40				
#define TCP_DEF_MTU	11200

#define	TCP_DEF_RETRIES	 8
#define TCP_CON_ATTEMPTS 8

#define	TCP_OPTHDR_NOP	1
#define	TCP_OPTHDR_MSS	2
#define	TCP_OPTHDR_SACK	4

#define	ACK_FLAG	0x10
#define PUSH_FLAG	0x08
#define RESET_FLAG	0x04
#define SYN_FLAG	0x02
#define FIN_FLAG	0x01

#define CLOSEPENDING	1

typedef struct {
	unsigned short	sport;
	unsigned short	dport;
	unsigned int	seq;
	unsigned int	ack;
	unsigned char	offset;
	unsigned char	flags;
	unsigned short	win;
	unsigned short	cksum;
	unsigned short	urgent;
} __attribute__ ((packed)) TCPHdr;

#define	NONE_TYPE	0
#define	SERVER_TYPE	1
#define	CLIENT_TYPE	2
#define	CLIENT_SERVER	3

#define	STATE_FREE	1
#define	STATE_RESERVED	2
#define STATE_LISTENING	3
#define STATE_SYN_RECV	4
#define	STATE_SYN_SENT	5
#define	STATE_SYN_ACK	6
#define STATE_FINW1	7
#define	STATE_FINW2	8
#define STATE_CLOSING	9
#define	STATE_LAST_ACK	10
#define STATE_TIMEDWAIT	11
#define	STATE_CONNECTED	12
