/*********************/
/* define usb ident */
/*********************/
#define	WI_VENDOR_MELCO		0x411
#define	WI_VENDOR_IODATA	0x4bb
#define	WI_VENDOR_ZCOM		0xcde
#define	WI_WLI_USB_KB11		0x44
#define	WI_WLI_USB_KB11_STR	"WLI-USB-KB11"
#define	WI_WN_B11_USBSL		0x924
#define	WI_WN_B11_USBSL_STR	"WN-B11/USBSL"
#define	WI_XI_735		0x5
#define	WI_XI_735_STR		"XI-735"
#define	WI_XG_705A		0x15
#define	WI_XG_705A_STR		"XG-705A"

struct wi_usb_ident wi_usb_ident[] = {
	/* VENDOR		PRODUCT			PRODUCT_NAME */
	{ WI_VENDOR_MELCO,	WI_WLI_USB_KB11,	WI_WLI_USB_KB11_STR},
	{ WI_VENDOR_IODATA,	WI_WN_B11_USBSL,	WI_WN_B11_USBSL_STR},
	{ WI_VENDOR_ZCOM,	WI_XI_735,		WI_XI_735_STR},
	{ WI_VENDOR_ZCOM,	WI_XG_705A,		WI_XG_705A_STR},
	{ 0,			0,			0 },
};
